### Function

# GLib Source remove_by_funcs_user_data

#### Declaration

    gboolean
    g_source_remove_by_funcs_user_data (
      GSourceFuncs* funcs,
      gpointer user_data
    )

#### Description

Removes a source from the default main loop context given the source functions and user data. If multiple sources exist with the same source functions and user data, only one will be destroyed.

#### Parameters

`funcs`

  Type: `GSourceFuncs`

  The `source_funcs` passed to g_source_new().

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  The user data for the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if a source was found and removed.